[android-components](../../index.md) / [org.mozilla.telemetry.util](../index.md) / [FileUtils](./index.md)

# FileUtils

`open class FileUtils` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/service/telemetry/src/main/java/org/mozilla/telemetry/util/FileUtils.java#L16)

### Types

| Name | Summary |
|---|---|
| [FileLastModifiedComparator](-file-last-modified-comparator/index.md) | `open class FileLastModifiedComparator : `[`Comparator`](https://developer.android.com/reference/java/util/Comparator.html)`<`[`File`](https://developer.android.com/reference/java/io/File.html)`>` |
| [FilenameRegexFilter](-filename-regex-filter/index.md) | `open class FilenameRegexFilter : `[`FilenameFilter`](https://developer.android.com/reference/java/io/FilenameFilter.html) |

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `FileUtils()` |

### Functions

| Name | Summary |
|---|---|
| [assertDirectory](assert-directory.md) | `open static fun assertDirectory(directory: `[`File`](https://developer.android.com/reference/java/io/File.html)`): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html) |
